summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-python/passlib
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-python/passlib')
-rw-r--r--dev-python/passlib/Manifest2
-rw-r--r--dev-python/passlib/metadata.xml16
-rw-r--r--dev-python/passlib/passlib-1.6.1-r1.ebuild30
-rw-r--r--dev-python/passlib/passlib-1.6.2.ebuild39
4 files changed, 87 insertions, 0 deletions
diff --git a/dev-python/passlib/Manifest b/dev-python/passlib/Manifest
new file mode 100644
index 00000000000..c150f79dfdd
--- /dev/null
+++ b/dev-python/passlib/Manifest
@@ -0,0 +1,2 @@
+DIST passlib-1.6.1.tar.gz 395855 SHA256 00cfb564feb2d97ebaf6b28acdc9277a0c73c3c1df7b2a7b65605c76e724177b SHA512 93c047dc0a06f19a20e5da97db43c5c76e06d69baeac15cc932ef0306ae22dac5c1a3925889a140fd181ab4e00ac513ec829951e15babf5aad89bd2d08dc9907 WHIRLPOOL b0840a1fd903000db06c1739d902e01c3cc4fb9f63692b0316fd60bd3393fa5be134037476da135306cc258fe38853269ebbb424d13f45edda9dd1c1b370d957
+DIST passlib-1.6.2.tar.gz 408950 SHA256 e987f6000d16272f75314c7147eb015727e8532a3b747b1a8fb58e154c68392d SHA512 4c58df875549d9d4a5a9cb5d7b8e853b2614cab1c67a35d0d113fcd6332bbe0f5b6d2521d71eade2e020d0a42cd9ce0a6e866c82bc1a840391f9005ba0baceea WHIRLPOOL 74bc9eceb460108d435eb25a46db1dd91acef146c4972fffcd065a8774247faf423ddcb3bfe6d143a65b1f2a681aa562424ba881bf71e088633aa201c7ceb3d9
diff --git a/dev-python/passlib/metadata.xml b/dev-python/passlib/metadata.xml
new file mode 100644
index 00000000000..03438f6f4e7
--- /dev/null
+++ b/dev-python/passlib/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>openstack</herd>
+ <herd>python</herd>
+ <maintainer>
+ <email>prometheanfire@gentoo.org</email>
+ <name>Matthew Thode</name>
+ </maintainer>
+ <longdescription lang="en">
+ comprehensive password hashing framework supporting over 20 schemes
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">passlib</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/passlib/passlib-1.6.1-r1.ebuild b/dev-python/passlib/passlib-1.6.1-r1.ebuild
new file mode 100644
index 00000000000..3d60e4682cd
--- /dev/null
+++ b/dev-python/passlib/passlib-1.6.1-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Password hashing framework supporting over 20 schemes"
+HOMEPAGE="http://code.google.com/p/passlib/"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+python_test() {
+ nosetests -w "${BUILD_DIR}"/lib || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use doc && dodoc docs/{*.rst,requirements.txt,lib/*.rst}
+}
diff --git a/dev-python/passlib/passlib-1.6.2.ebuild b/dev-python/passlib/passlib-1.6.2.ebuild
new file mode 100644
index 00000000000..829deb71169
--- /dev/null
+++ b/dev-python/passlib/passlib-1.6.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Password hashing framework supporting over 20 schemes"
+HOMEPAGE="http://code.google.com/p/passlib/"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="amd64 x86"
+SLOT="0"
+IUSE="test doc"
+
+RDEPEND="dev-python/bcrypt[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ # https://code.google.com/p/passlib/issues/detail?id=50
+ # py3 on testing choaks on the suite
+ if ! python_is_python3; then
+ nosetests -w "${BUILD_DIR}"/lib \
+ -e test_90_django_reference -e test_91_django_generation \
+ -e test_77_fuzz_input -e test_config \
+ -e test_registry.py || die "Tests fail with ${EPYTHON}"
+ fi
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use doc && dodoc docs/{*.rst,requirements.txt,lib/*.rst}
+}